<form method="post" action="">

    <h2><?php _e('URL Structure', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-jobs-permalink"><?php _e('Base slug for Jobs', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-permalink" size="50" value="<?php echo get_option('ysd-msltn-jobs-permalink'); ?>"></td>
        </tr>

    </table>

    <hr/>

    <h2><?php _e('Data Behaviour', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-jobs-disable-garbage-collection"><?php _e('Disable garbage collection (experimental)', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-disable-garbage-collection">
                    <option <?php if (get_option('ysd-msltn-jobs-disable-garbage-collection') == "0") { echo 'selected'; } ?> value="0"><?php _e("Off", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-disable-garbage-collection') == "1") { echo 'selected'; } ?> value="1"><?php _e("On", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
                <br/>
                <em><?php _e('Turn this on if you want to skip the Recyle Bin and remove jobs permantly.', YSD_MYSOLUTION_TEXT_DOMAIN); ?></em>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-pause-import"><?php _e('Pause import', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-pause-import">
                    <option <?php if (get_option('ysd-msltn-jobs-pause-import') == "0") { echo 'selected'; } ?> value="0"><?php _e("Off", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-pause-import') == "1") { echo 'selected'; } ?> value="1"><?php _e("On", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
                <br/>
                <em><?php _e('If you are debugging an issue or have another reason why you need to pause the import.', YSD_MYSOLUTION_TEXT_DOMAIN); ?></em><br/>
                <em><strong><?php _e('Note: If there is already an import running. This option will automaticly enable itself and will disable when the import is complete.', YSD_MYSOLUTION_TEXT_DOMAIN); ?></strong></em>
            </td>
        </tr>            

        <tr>
            <th><label for="ysd-msltn-api-trash-data"><?php _e('Delete all jobs', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <a style="color: red;" href="edit.php?post_type=job&page=job_settings&page_action=trash_all"><?php _e('Delete all', YSD_MYSOLUTION_TEXT_DOMAIN); ?></a>
                <br/><em><?php _e('Be patient. Deleting all jobs could take a while.', YSD_MYSOLUTION_TEXT_DOMAIN); ?></em>
            </td>
        </tr>           

    </table>

    <hr/>

    <h2><?php _e('Legacy Features', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-legacy-single-template"><?php _e('Use legacy single template', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-legacy-single-template">
                    <option <?php if (get_option('ysd-msltn-legacy-single-template') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-legacy-single-template') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

    </table>

    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>