<form method="post" action="">

    <h2><?php _e('API Connection', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <?php
        $fields = get_option('ysd-msltn-jobs-field-collector');
        $fields = unserialize($fields);
        if (!is_array($fields)) {
            $fields = array();
        }
    ?>    

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-api-environment"><?php _e('Environment', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-api-environment" size="50" value="<?php echo get_option('ysd-msltn-api-environment'); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-client-id"><?php _e('Client ID', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-api-client-id" size="50" value="<?php echo stripslashes(get_option('ysd-msltn-api-client-id')); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-client-secret"><?php _e('Client Secret', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="password" name="ysd-msltn-api-client-secret" size="50" value="<?php echo stripslashes(get_option('ysd-msltn-api-client-secret')); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-client-username"><?php _e('Username', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-api-client-username" size="50" value="<?php echo get_option('ysd-msltn-api-client-username'); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-client-password"><?php _e('Password', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="password" name="ysd-msltn-api-client-password" size="50" value="<?php echo stripslashes(get_option('ysd-msltn-api-client-password')); ?>"></td>
        </tr>

    </table>

    <hr/>

    <h2><?php _e('Import Filter', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>
    
    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-api-import-filter-field"><?php _e('Field', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <th><label for="ysd-msltn-api-import-filter-value"><?php _e('Value', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
        </tr>
        <tr>
            <td>
                <select name="ysd-msltn-api-import-filter-field">
                    <option><?php _e('None', YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-api-import-filter-field') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <input type="text" name="ysd-msltn-api-import-filter-value" size="50" value="<?php echo stripslashes(get_option('ysd-msltn-api-import-filter-value')); ?>">
                <em><?php _e('You can filter multiple values by seperating them with a comma (,)', YSD_MYSOLUTION_TEXT_DOMAIN); ?></em>
            </td>
        </tr>

    </table>

    <hr/>

    <h2><?php _e('Portal Base URLs', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-portal-base-url"><?php _e('Main Base URL', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-portal-base-url" size="50" value="<?php echo get_option('ysd-msltn-portal-base-url'); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-portal-base-url-client"><?php _e('Client Base URL', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-portal-base-url-client" size="50" value="<?php echo get_option('ysd-msltn-portal-base-url-client'); ?>"></td>
        </tr>    

    </table>

    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>