<form method="post" action="">

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-archive-jobs-per-page"><?php _e('Number of Jobs per page', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="number" name="ysd-msltn-archive-jobs-per-page" size="50" value="<?php echo get_option('ysd-msltn-archive-jobs-per-page'); ?>"></td>
        </tr>    
    
        <tr>
            <th><label for="ysd-msltn-template-plugin"><?php _e('Load template files from plugin', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-template-plugin">
                    <option <?php if (get_option('ysd-msltn-template-plugin') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-template-plugin') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>        

        <tr>
            <th><label for="ysd-msltn-iframe-height"><?php _e('iFrame Height (in pixels)', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-iframe-height" size="50" value="<?php echo get_option('ysd-msltn-iframe-height'); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-meta-class"><?php _e('Add meta value to CSS Class', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-meta-class" size="50" value="<?php echo get_option('ysd-msltn-meta-class'); ?>"></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-add-archive-sidebar"><?php _e('Add widget area to Archive', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-add-archive-sidebar">
                    <option <?php if (get_option('ysd-msltn-jobs-add-archive-sidebar') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-add-archive-sidebar') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-add-single-sidebar"><?php _e('Add widget area to Single Page', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-add-single-sidebar">
                    <option <?php if (get_option('ysd-msltn-jobs-add-single-sidebar') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-add-single-sidebar') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-add-single-sidebar') == "2") { echo 'selected'; } ?> value="2"><?php _e("Inherit from Archive Sidebar", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-hide-print-button"><?php _e('Hide Print button', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-hide-print-button">
                    <option <?php if (get_option('ysd-msltn-hide-print-button') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-hide-print-button') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>            

        <tr>
            <th>
                <label for="ysd-msltn-hide-metadata"><?php _e('Hide default metadata on Archives', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <select name="ysd-msltn-hide-metadata">
                    <option <?php if (get_option('ysd-msltn-hide-metadata') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-hide-metadata') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th>
                <label for="ysd-msltn-custom-metadata"><?php _e('Customize metadata', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-custom-metadata" size="50" value="<?php echo htmlspecialchars(stripslashes(get_option('ysd-msltn-custom-metadata'))); ?>"><br/>
                <p>
                    <em>
                        <b><?php _e('Example', YSD_MYSOLUTION_TEXT_DOMAIN); ?>: </b>
                    </em>
                    <code>[get_job_metafield field=job_work_address_city sep=|] [get_job_metafield field=job_education_level sep=|] [get_job_metafield field=job_professional_field sep=|]</code>
                </p>
            </td>
        </tr>

    </table>

    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>