<form method="post" action="">

    <h2><?php _e('Plugin Status', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">
        <tr>
            <th><label for="ysd-msltn-plugin-version"><?php _e('Version', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><?php echo YSD_MYSOLUTION_VERSION; ?></td>
        </tr>
        <tr>
            <th><label for="ysd-msltn-db-revision"><?php _e('Database Revision', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><?php echo get_option('ysd-msltn-db-revision'); ?></td>
        </tr>
        <tr>
            <th><label for="ysd-msltn-license"><?php _e('License', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <?php
                    $ysd_mysolution_user_validation = new ysd_mysolution_user_validation();
                    if ($check == FALSE) {
                        echo '<a href="edit.php?post_type=job&page=job_settings&tab=invalid">';
                        _e('Invalid', YSD_MYSOLUTION_TEXT_DOMAIN);
                        echo '</a>';
                    } else {
                        _e('Valid', YSD_MYSOLUTION_TEXT_DOMAIN);
                    }
                ?>
            </td>
        </tr>        
        <tr>
            <th><label for="ysd-msltn-license-token"><?php _e('License Token', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-license-token" value="<?php echo get_option('ysd-msltn-license-token'); ?>"></td>
        </tr>
    </table>

    <?php if (get_option('ysd-msltn-api-environment') != '0' && get_option('ysd-msltn-api-client-id') != '0' && get_option('ysd-msltn-api-client-secret') != '0' && get_option('ysd-msltn-api-client-username') != 'username@mysolution.nl' && get_option('ysd-msltn-api-client-password') != '0' && $check == TRUE): ?>

    <h2><?php _e('API Status', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-api-last-run"><?php _e('Last Request', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <?php
                $offset = get_option('ysd-msltn-api-cron-offset-progress');
                if (empty($offset)) { $offset = 0; }
            ?>
            <td>
                <?php echo wp_date(get_option('date_format') . ' - ' . get_option('time_format'), get_option('ysd-msltn-api-last-run')); ?>
                <?php
                    echo ' (';
                    if ($offset === 0 && !empty(get_option('ysd-msltn-api-last-run'))) {
                        _e('Completed Import', YSD_MYSOLUTION_TEXT_DOMAIN);
                    } else {
                        _e('Row', YSD_MYSOLUTION_TEXT_DOMAIN);
                        echo ' ';
                        echo $offset - 50;
                        echo ' - ';
                        echo $offset;
                    }
                    echo ')';
                ?>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-next-run"><?php _e('Next Request', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <?php _e('Row', YSD_MYSOLUTION_TEXT_DOMAIN); ?> <?php echo $offset + 1; ?> - <?php echo $offset + 50; ?>
                <br/>
                <?php _e('Next request is scheduled in less than 5 minutes', YSD_MYSOLUTION_TEXT_DOMAIN); ?>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-api-token"><?php _e('Token', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <?php echo get_option('ysd-msltn-api-token'); ?>
                <br/><br/>
                <a class="button" href="edit.php?post_type=job&page=job_settings&page_action=oauth"><?php _e('Refresh token', YSD_MYSOLUTION_TEXT_DOMAIN); ?></a>
            </td>
        </tr>

    </table>

    <?php endif; ?>

    <h2><?php _e('Other Information', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-php-version"><?php _e('PHP Version', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><?php echo phpversion(); ?></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-curl-enabled"><?php _e('cURL Enabled', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><?php
                if (in_array('curl', get_loaded_extensions())) {
                    _e('Yes');
                }
                else {
                    _e('No. cURL is required for this plugin to function. Please inform your administrator.');
                }            
            ?></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-wp-version"><?php _e('WordPress Version', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <?php bloginfo('version') ?>
            </td>
        </tr>

    </table>    

    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>