<form method="post" action="">

    <h2><?php _e('General Settings', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>
    <table class="form-table" role="presentation">
        <tr>
            <th><label for="ysd-msltn-enable-feeds"><?php _e('Enable XML Feeds', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-enable-feeds">
                    <option <?php if (get_option('ysd-msltn-enable-feeds') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-enable-feeds') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>
        <tr>
            <th><label for="ysd-msltn-structered-data"><?php _e('Enable Structured Data', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-structered-data">
                    <option <?php if (get_option('ysd-msltn-structered-data') == "0") { echo 'selected'; } ?> value="0"><?php _e("False", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-structered-data') == "1") { echo 'selected'; } ?> value="1"><?php _e("True", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>
    </table>

    <h2><?php _e('Default Data', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>
    <table class="form-table" role="presentation">
        <tr>
            <th>
                <label for="ysd-msltn-company"><?php _e('Company Name', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-company" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> Yourstyledesign B.V." value="<?php echo get_option('ysd-msltn-company'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-company-logo-url"><?php _e('Company Logo URL', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-company-logo-url" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> https://example.com/logo.jpg" value="<?php echo get_option('ysd-msltn-company-logo-url'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-addressstreet"><?php _e('Street', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-addressstreet" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> Veenderveld 16" value="<?php echo get_option('ysd-msltn-defaultdata-addressstreet'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-addresslocality"><?php _e('Locality', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-addresslocality" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> Roelofarendsveen" value="<?php echo get_option('ysd-msltn-defaultdata-addresslocality'); ?>"><br/>
            </td>
        </tr>        
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-addressregion"><?php _e('Region', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-addressregion" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> NL" value="<?php echo get_option('ysd-msltn-defaultdata-addressregion'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-addresszipcode"><?php _e('Zipcode', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-addresszipcode" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> 2371TV" value="<?php echo get_option('ysd-msltn-defaultdata-addresszipcode'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-salary"><?php _e('Salary', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-salary" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> 2000" value="<?php echo get_option('ysd-msltn-defaultdata-salary'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-salaryperiod"><?php _e('Salary Period', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-defaultdata-salaryperiod" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> HOUR" value="<?php echo get_option('ysd-msltn-defaultdata-salaryperiod'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-salary-currency"><?php _e('Salary Currency', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="text" name="ysd-msltn-salary-currency" size="50" placeholder="<?php _e('Ex:', YSD_MYSOLUTION_TEXT_DOMAIN); ?> EUR" value="<?php echo get_option('ysd-msltn-salary-currency'); ?>"><br/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="ysd-msltn-defaultdata-validthrough"><?php _e('Valid Through', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label>
            </th>
            <td>
                <input type="date" name="ysd-msltn-defaultdata-validthrough" size="50" value="<?php echo get_option('ysd-msltn-defaultdata-validthrough'); ?>"><br/>
            </td>
        </tr>        
    </table>
    
    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>