<form method="post" action="">

    <h2><?php _e('Field Mapping', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

        <?php
            $fields = get_option('ysd-msltn-jobs-field-collector');
            $fields = unserialize($fields);
            if (!is_array($fields)) {
                $fields = array();
            }
        ?>

        <table class="form-table" role="presentation">

        <tr>
            <th><label for="ysd-msltn-jobs-field-title"><?php _e('Title', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-field-title">
                    <option <?php if (get_option('ysd-msltn-jobs-field-title') == "msf__Title__c") { echo 'selected'; } ?> value="msf__Title__c">Title <?php _e("(Default)", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-title') == "Name") { echo 'selected'; } ?> value="Name">Name</option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-slug"><?php _e('Post Slug', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td>
                <select name="ysd-msltn-jobs-field-slug">
                    <option <?php if (get_option('ysd-msltn-jobs-field-slug') == "title") { echo 'selected'; } ?> value="title"><?php _e("Title", YSD_MYSOLUTION_TEXT_DOMAIN); ?> <?php _e("(Default)", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-slug') == "id") { echo 'selected'; } ?> value="id"><?php _e("ID", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>            

    </table>

    <hr/>

    <h2><?php _e('Taxonomy Mapping', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h2>

    <table class="form-table" role="presentation">

        <tr>
            <td><strong><?php _e('Predefined Taxonomy Name', YSD_MYSOLUTION_TEXT_DOMAIN); ?></strong></td>
            <td><strong><?php _e('Overwrite Taxonomy Name', YSD_MYSOLUTION_TEXT_DOMAIN); ?></strong></td>
            <td><strong><?php _e('Map to Field', YSD_MYSOLUTION_TEXT_DOMAIN); ?></strong></td>
            <td><strong><?php _e('Disable Taxonomy', YSD_MYSOLUTION_TEXT_DOMAIN); ?></strong></td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-professional_fields"><?php _e('Professional Fields', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-professional_fields-naming" value="<?php echo get_option('ysd-msltn-jobs-field-professional_fields-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-professional_fields">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (msf__Professional_Field__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-professional_fields') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-professional_fields-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-professional_fields-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-professional_fields-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-industry"><?php _e('Industries', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-industry-naming" value="<?php echo get_option('ysd-msltn-jobs-field-industry-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-industry">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (Branche__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-industry') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-industry-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-industry-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-industry-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-region"><?php _e('Regions', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-region-naming" value="<?php echo get_option('ysd-msltn-jobs-field-region-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-region">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (msf__Work_Address_City__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-region') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-region-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-region-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-region-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-education_level"><?php _e('Education Levels', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-education_level-naming" value="<?php echo get_option('ysd-msltn-jobs-field-education_level-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-education_level">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (msf__Education_Level__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-education_level') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-education_level-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-education_level-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-education_level-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-employment_type"><?php _e('Employment Types', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-employment_type-naming" value="<?php echo get_option('ysd-msltn-jobs-field-employment_type-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-employment_type">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (msf__Employment_Type__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-employment_type') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-employment_type-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-employment_type-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-employment_type-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

        <tr>
            <th><label for="ysd-msltn-jobs-field-hours_per_week"><?php _e('Hours Per Week', YSD_MYSOLUTION_TEXT_DOMAIN); ?></label></th>
            <td><input type="text" name="ysd-msltn-jobs-field-hours_per_week-naming" value="<?php echo get_option('ysd-msltn-jobs-field-hours_per_week-naming'); ?>"></td>
            <td>
                <select name="ysd-msltn-jobs-field-hours_per_week">
                    <option><?php _e('Default', YSD_MYSOLUTION_TEXT_DOMAIN); ?> (msf__Hours_Per_Week__c)</option>
                    <?php foreach($fields as $f) : ?>
                    <option <?php if (get_option('ysd-msltn-jobs-field-hours_per_week') == $f) { echo 'selected'; } ?> value="<?php echo $f; ?>"><?php echo $f; ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <select name="ysd-msltn-jobs-field-hours_per_week-toggle">
                    <option <?php if (get_option('ysd-msltn-jobs-field-hours_per_week-toggle') == "0") { echo 'selected'; } ?> value="0"><?php _e("No", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                    <option <?php if (get_option('ysd-msltn-jobs-field-hours_per_week-toggle') == "1") { echo 'selected'; } ?> value="1"><?php _e("Yes", YSD_MYSOLUTION_TEXT_DOMAIN); ?></option>
                </select>
            </td>
        </tr>

    </table>    

    <table class="form-table" role="presentation">
        <tr>
            <th></th>
            <td>
                <input class="button button-primary" type="submit" value="<?php _e('Save Changes'); ?>" />
            </td>
        </tr>
    </table>

</form>