<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

?>

<?php get_header(); ?>
<?php
$bridge_qode_id = bridge_qode_get_page_id();

if ( get_query_var('paged') ) { $bridge_qode_paged = get_query_var('paged'); }
elseif ( get_query_var('page') ) { $bridge_qode_paged = get_query_var('page'); }
else { $bridge_qode_paged = 1; }

$bridge_qode_sidebar = $bridge_qode_options['category_blog_sidebar'];

$bridge_qode_blog_hide_comments = "";
if (isset($bridge_qode_options['blog_hide_comments']))
	$bridge_qode_blog_hide_comments = $bridge_qode_options['blog_hide_comments'];

?>

	
		<?php get_template_part( 'title' ); ?>
		<div class="container">
            <?php if(isset($bridge_qode_options['overlapping_content']) && $bridge_qode_options['overlapping_content'] == 'yes') {?>
                <div class="overlapping_content"><div class="overlapping_content_inner">
            <?php } ?>
			<div class="container_inner default_template_holder clearfix">
                <div class="two_columns_25_75 background_color_sidebar grid2 clearfix">
                    <div class="column1">
                    <?php get_sidebar(); ?>	
                    </div>
                    <div class="column2">
                        <div class="column_inner">
                            <div class="blog_holder">
                                <?php if (have_posts()) : ?>
                                <?php while (have_posts() ) : the_post(); ?>
                                
                                <?php
                                    $extra_class = get_post_meta($id, get_option('ysd-msltn-meta-class'), true);
                                    $extra_class = explode(';', $extra_class);
                                    $extra_class = sanitize_title($extra_class[0]);
                                ?>

                                <article id="post-<?php the_ID(); ?>" <?php post_class($extra_class); ?>>
                                    <div class="post_content_holder">
                                        <div class="post_text">
                                            <div class="post_text_inner">
                                                <h2 itemprop="name" class="entry_title"><?php the_title(); ?></h2>
                                                <div class="post_info">
                                                    <?php
                                                        do_action('ysd_mysolution_job_meta');
                                                    ?>
                                                </div>
                                                <?php the_excerpt(); ?>
                                                <div class="post_more">
                                                    <a itemprop="url" href="<?php the_permalink(); ?>" class="qbutton small"><?php _e('Read more', YSD_MYSOLUTION_TEXT_DOMAIN); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </article>

                                <?php endwhile; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
			</div>
            <?php if(isset($bridge_qode_options['overlapping_content']) && $bridge_qode_options['overlapping_content'] == 'yes') {?>
                </div></div>
            <?php } ?>
		</div>
<?php get_footer(); ?>