<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_count_jobs {

    public function __construct() {
        add_shortcode('total_jobs', array($this, 'sc_count_jobs'));
    }

    function sc_count_jobs($atts) {
        $options = shortcode_atts(
            array(
                'subfix_plural' => '', //jobs
                'subfix_single' => '', //job
            ),
            $atts
        );

        $output = '';
        $output.= '<span class="ysd-mysolution-job-count">';
        $count = wp_count_posts('job')->publish;
        $count = apply_filters('ysd_mysolution_total_jobs_shortcode', $count);
        $output.= $count;
        if ($count == 1) {
            $output.= $options['subfix_single'];
        } else {
            $output.= $options['subfix_plural'];
        }
        $output.= '</span>';
        return $output;
    }

}

$ysd_mysolution_shortcode_count_jobs = new ysd_mysolution_shortcode_count_jobs;