<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_jobs_legacy {

    public function __construct() {
        add_shortcode('jobs_legacy', array($this, 'sc_jobs'));
    }

    function sc_jobs($atts) {

        global $post;

        $atts = shortcode_atts(
            array(
                'amount'    => '4',
                'orderby'   => 'date',
                'order'     => 'DESC',
            ),
            $atts
        );

        $jobs = get_posts(array(
            'numberposts'   => $atts['amount'],
            'orderby'       => $atts['orderby'],
            'order'         => $atts['order'],
            'post_type'     => 'job'
        ));

        $output = '';

        foreach ($jobs as $j) { $post = get_post($j); setup_postdata($post);

            $extra_class = get_post_meta($id, get_option('ysd-msltn-meta-class'), true);
            $extra_class = explode(';', $extra_class);
            $extra_class = sanitize_title($extra_class[0]);
            
            $output.= '<a href="'.get_permalink().'" class="ms-job-archive-wrap '.$extra_class.'">';
            $output.= '<h3 class="u-h4 u-margin-bottom-tiny u-margin-top">'.get_the_title().'</h3>';
            $output.= '<h5 class="u-text-thin">';
            
            $output.= do_shortcode(stripslashes(get_option('ysd-msltn-custom-metadata')));

            $output.= '</h5>';
            $excerpt = get_the_excerpt();
            if (!empty($excerpt)) {
                $output.= '<p>' . apply_filters('the_excerpt', get_the_excerpt(get_the_ID())) . '</p>';
            }
            $output.= '</a>';

            wp_reset_postdata();

        }

        return $output;

    }

}

$ysd_mysolution_shortcode_jobs_legacy = new ysd_mysolution_shortcode_jobs_legacy;