jQuery(document).ready(function ($) {
    if (typeof Swiper !== "undefined") {

        $(".c-job-slider-container").each(function () {
            const speed = $(this).data("speed");

            // Carousel slider
            new Swiper($(this), {
                // Optional parameters
                loop: true,
                autoplayDisableOnInteraction: false,
                disableOnInteraction: false,
                autoplay: { delay: speed },
                slidesPerView: 1,
                breakpoints: {
                    550: {
                        slidesPerView: 1
                    },
                    719: {
                        slidesPerView: 3
                    },
                },
                setWrapperSize: true,
                pagination: {
                    el: ".swiper-pagination",
                    type: "bullets",
                    clickable: true
                }
            });
        });

    }
});