<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
	die;
}

function ysd_mysolution_default_field_mapping() {
    return array(
        'job_name' => array(
            'field'     => 'Name',
            'label'     => __('Name', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),        
        'job_id' => array(
            'field'     => 'Id',
            'label'     => __('ID', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),        
        'job_created_date' => array(
            'field'     => 'CreatedDate',
            'label'     => __('Creation Date', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_created_by' => array(
            'field'     => 'CreatedBy',
            'label'     => __('Created By', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_last_modified_by' => array(
            'field'     => 'LastModifiedBy',
            'label'     => __('Last Modified By', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_last_modified_date' => array(
            'field'     => 'LastModifiedDate',
            'label'     => __('Last Modified Date', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'date',
        ),
        'job_owner' => array(
            'field'     => 'Owner',
            'label'     => __('Owner', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_account' => array(
            'field'     => 'msf__Account__r',
            'label'     => __('Account', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_accountmanager' => array(
            'field'     => 'msf__Accountmanager__r',
            'label'     => __('Accountmanager', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_application_status' => array(
            'field'     => 'msf__Actual_Job_Application_Status__c',
            'label'     => __('Application Status', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_application_procedure' => array(
            'field'     => 'msf__Application_Procedure__c',
            'label'     => __('Application Procedure', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_candidate_type' => array(
            'field'     => 'msf__Candidate_Type__c',
            'label'     => __('Candidate Type', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_collective_agreement' => array(
            'field'     => 'msf__Collective_Agreement__c',
            'label'     => __('Collective Agreement', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_company_description' => array(
            'field'     => 'msf__Company_Description__c',
            'label'     => __('Company Description', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_contact_person' => array(
            'field'     => 'msf__Contact_Person__r',
            'label'     => __('Contact Person', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_driving_license_required' => array(
            'field'     => 'msf__Driving_License_needed__c',
            'label'     => __('Driving License Needed', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_education_level' => array(
            'field'     => 'msf__Education_Level__c',
            'label'     => __('Education Level', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_employment_conditions' => array(
            'field'     => 'msf__Employment_Conditions__c',
            'label'     => __('Employment Conditions', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_employment_type' => array(
            'field'     => 'msf__Employment_Type__c',
            'label'     => __('Employment Type', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_experience_level' => array(
            'field'     => 'msf__Experience_Level__c',
            'label'     => __('Experience Level', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_fee_agreements' => array(
            'field'     => 'msf__Fee_Agreements__c',
            'label'     => __('Fee Agreements', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_hiring_manager' => array(
            'field'     => 'msf__Hiring_Manager__r',
            'label'     => __('Hiring Manager', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_hours_per_week' => array(
            'field'     => 'msf__Hours_Per_Week__c',
            'label'     => __('Hours per Week', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_description' => array(
            'field'     => 'msf__Job_Description__c',
            'label'     => __('Job Description', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_number' => array(
            'field'     => 'msf__Job_Number__c',
            'label'     => __('Number', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_requirements' => array(
            'field'     => 'msf__Job_Requirements__c',
            'label'     => __('Job Requirements', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_type' => array(
            'field'     => 'msf__Job_Type__c',
            'label'     => __('Job Type', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_label' => array(
            'field'     => 'msf__Label__c',
            'label'     => __('Label', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_own_car_required' => array(
            'field'     => 'msf__Own_Car_needed__c',
            'label'     => __('Own Car Needed', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_priority_status' => array(
            'field'     => 'msf__Priority_Status__c',
            'label'     => __('Priority Status', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_professional_field' => array(
            'field'     => 'msf__Professional_Field__c',
            'label'     => __('Professional Field', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_recruiter' => array(
            'field'     => 'msf__Recruiter__r',
            'label'     => __('Recruiter', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_requested_quantity' => array(
            'field'     => 'msf__Requested_Quantity__c',
            'label'     => __('Requested Quantity', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_salary_period' => array(
            'field'     => 'msf__Salary_Period__c',
            'label'     => __('Salary Period', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_salary_from' => array(
            'field'     => 'msf__Salary_from__c',
            'label'     => __('Salary From', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_salary_to' => array(
            'field'     => 'msf__Salary_to__c',
            'label'     => __('Salary To', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_show_on_website' => array(
            'field'     => 'msf__Show_On_Website__c',
            'label'     => __('Show On Website', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_starting_date' => array(
            'field'     => 'msf__Starting_Date__c',
            'label'     => __('Starting Date', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_closing_date' => array(
            'field'     => 'msf__Closing_Date__c',
            'label'     => __('Closing Date', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_status' => array(
            'field'     => 'msf__Status__c',
            'label'     => __('Status', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_talentpool' => array(
            'field'     => 'msf__TalentPool__r',
            'label'     => __('TalentPool', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'text',
        ),
        'job_team' => array(
            'field'     => 'msf__Team__r',
            'label'     => __('Team', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => false,
            'type'      => 'object',
        ),
        'job_work_address_city' => array(
            'field'     => 'msf__Work_Address_City__c',
            'label'     => __('Work Address', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_work_address_postalcode' => array(
            'field'     => 'msf__Work_Address_Post_Code__c',
            'label'     => __('Postal Code', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_work_address' => array(
            'field'     => 'msf__Work_Address__c',
            'label'     => __('Address', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_work_country' => array(
            'field'     => 'msf__Work_Country__c',
            'label'     => __('Country', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_working_hours' => array(
            'field'     => 'msf__Working_Hours__c',
            'label'     => __('Working Hours', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
        'job_branche' => array(
            'field'     => 'Branche__c',
            'label'     => __('Branche', YSD_MYSOLUTION_TEXT_DOMAIN),
            'mappable'  => true,
            'type'      => 'text',
        ),
    );


}