<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_feeds {

    public function __construct() {
        add_action('init', array($this, 'add_feeds'), 10);
    }

    function add_feeds() {
        if (get_option('ysd-msltn-enable-feeds') == 1) {
            require_once YSD_MYSOLUTION_PLUGIN_PATH . '/public/feeds/feed-general.php';
            add_feed('feed-mysolution', 'ysd_mysolution_feed_general');
            
            require_once YSD_MYSOLUTION_PLUGIN_PATH . '/public/feeds/feed-jobboost-io.php';
            add_feed('feed-jobboost', 'ysd_mysolution_feed_jobboost_io');
            
            require_once YSD_MYSOLUTION_PLUGIN_PATH . '/public/feeds/feed-indeed.php';
            add_feed('feed-indeed', 'ysd_mysolution_feed_indeed');
        }
    }

}

$ysd_mysolution_feeds = new ysd_mysolution_feeds;