<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

?>

<?php  extract(bridge_qode_get_blog_single_params()); ?>
<?php get_header(); ?>
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

	<?php get_template_part( 'title' ); ?>
	<?php get_template_part( 'slider' ); ?>
				<?php if($single_type == 'image-title-post') : //this post type is full width ?>
					<div class="full_width" <?php if($background_color != "") { echo " style='background-color:". $background_color ."'";} ?>>
						<?php if(isset($bridge_qode_options['overlapping_content']) && $bridge_qode_options['overlapping_content'] == 'yes') {?>
							<div class="overlapping_content"><div class="overlapping_content_inner">
						<?php } ?>
						<div class="full_width_inner" <?php bridge_qode_inline_style($content_style_spacing); ?>>
				<?php else : // post type ?>
					<div class="container"<?php if($background_color != "") { echo " style='background-color:". $background_color ."'";} ?>>
						<?php if(isset($bridge_qode_options['overlapping_content']) && $bridge_qode_options['overlapping_content'] == 'yes') {?>
							<div class="overlapping_content"><div class="overlapping_content_inner">
						<?php } ?>
								<div class="container_inner default_template_holder" <?php bridge_qode_inline_style($content_style_spacing); ?>>
				<?php endif; // post type end ?>
					<?php if(($sidebar == "default")||($sidebar == "")) : ?>
						<div <?php bridge_qode_class_attribute(implode(' ', $single_class)) ?>>

                        <article id="post-<?php the_ID(); ?>" <?php post_class($extra_class); ?>>
                            <div class="post_content_holder">
                                <div class="post_text">
                                    <div class="post_text_inner">
                                        <h2 itemprop="name" class="entry_title"><?php the_title(); ?></h2>
                                        <div class="post_info">
                                            <?php
                                                $job_city  = get_post_meta(get_the_ID(), 'job_work_address_city', true);
                                                $job_edulv = get_post_meta(get_the_ID(), 'job_education_level', true);
                                                $job_field = get_post_meta(get_the_ID(), 'job_professional_field', true);
                                                if (!empty($job_city)) {
                                                    echo '<span class="mysolution-job-city">'.$job_city.'</span>';
                                                }
                                                if (!empty($job_city) && !empty($job_edulv)) { echo ' | '; }
                                                if (!empty($job_edulv)) {
                                                    echo '<span class="mysolution-job-edulv">'.$job_edulv.'</span>';
                                                } else {
                                                    if (!empty($job_city) && !empty($job_field)) { echo ' | '; }
                                                }
                                                if (!empty($job_edulv) && !empty($job_field)) { echo ' | '; }
                                                if (!empty($job_field)) {
                                                    echo '<span class="mysolution-job-field">'.$job_field.'</span>';
                                                }
                                            ?>
                                        </div>
                                        <?php the_content(); ?>
                                    </div>
                                </div>
                            </div>
                        </article>

						<?php if($single_grid == 'no'): ?>
							<div class="grid_section">
								<div class="section_inner">
						<?php endif; ?>
						<?php if($single_grid == 'no'): ?>
								</div>
							</div>
						<?php endif; ?>
                        </div>

                    <?php elseif($sidebar == "1" || $sidebar == "2"): ?>
						<?php if($sidebar == "1") : ?>	
							<div class="two_columns_66_33 background_color_sidebar grid2 clearfix">
							<div class="column1">
						<?php elseif($sidebar == "2") : ?>	
							<div class="two_columns_75_25 background_color_sidebar grid2 clearfix">
								<div class="column1">
						<?php endif; ?>
					
									<div class="column_inner">
										<div <?php bridge_qode_class_attribute(implode(' ', $single_class)) ?>>

                                            <article id="post-<?php the_ID(); ?>" <?php post_class($extra_class); ?>>
                                                <div class="post_content_holder">
                                                    <div class="post_text">
                                                        <div class="post_text_inner"><div class="back-link"><a href="<?php echo get_site_url(); ?>/vacatures"><span aria-hidden="true" style="vertical-align: middle;" class="qode_icon_font_elegant arrow_left qode-button-v2-icon-holder-inner"></span> Terug</a></div>
                                                            <h2 itemprop="name" class="entry_title"><?php the_title(); ?></h2>
                                                            <div class="post_info">
                                                                <?php
                                                                    $job_city  = get_post_meta(get_the_ID(), 'job_work_address_city', true);
                                                                    $job_edulv = get_post_meta(get_the_ID(), 'job_education_level', true);
                                                                    $job_field = get_post_meta(get_the_ID(), 'job_professional_field', true);
                                                                    if (!empty($job_city)) {
                                                                        echo '<span class="mysolution-job-city">'.$job_city.'</span>';
                                                                    }
                                                                    if (!empty($job_city) && !empty($job_edulv)) { echo ' | '; }
                                                                    if (!empty($job_edulv)) {
                                                                        echo '<span class="mysolution-job-edulv">'.$job_edulv.'</span>';
                                                                    } else {
                                                                        if (!empty($job_city) && !empty($job_field)) { echo ' | '; }
                                                                    }
                                                                    if (!empty($job_edulv) && !empty($job_field)) { echo ' | '; }
                                                                    if (!empty($job_field)) {
                                                                        echo '<span class="mysolution-job-field">'.$job_field.'</span>';
                                                                    }
                                                                ?>
                                                            </div>
                                                            <?php the_content(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </article>

										</div>
									</div>
								</div>	
								<div class="column2"> 
									<?php get_sidebar(); ?>
								</div>
							</div>
						<?php elseif($sidebar == "3" || $sidebar == "4"): ?>
							<?php if($sidebar == "3") : ?>	
								<div class="two_columns_33_66 background_color_sidebar grid2 clearfix">
								<div class="column1"> 
									<?php get_sidebar(); ?>
								</div>
								<div class="column2">
							<?php elseif($sidebar == "4") : ?>	
								<div class="two_columns_25_75 background_color_sidebar grid2 clearfix">
									<div class="column1"> 
										<?php get_sidebar(); ?>
									</div>
									<div class="column2">
							<?php endif; ?>
							
										<div class="column_inner">
											<div <?php bridge_qode_class_attribute(implode(' ', $single_class)) ?>>

                                                <article id="post-<?php the_ID(); ?>" <?php post_class($extra_class); ?>>
                                                    <div class="post_content_holder">
                                                        <div class="post_text">
                                                            <div class="post_text_inner">
                                                                <h2 itemprop="name" class="entry_title"><?php the_title(); ?></h2>
                                                                <div class="post_info">
                                                                    <?php
                                                                        $job_city  = get_post_meta(get_the_ID(), 'job_work_address_city', true);
                                                                        $job_edulv = get_post_meta(get_the_ID(), 'job_education_level', true);
                                                                        $job_field = get_post_meta(get_the_ID(), 'job_professional_field', true);
                                                                        if (!empty($job_city)) {
                                                                            echo '<span class="mysolution-job-city">'.$job_city.'</span>';
                                                                        }
                                                                        if (!empty($job_city) && !empty($job_edulv)) { echo ' | '; }
                                                                        if (!empty($job_edulv)) {
                                                                            echo '<span class="mysolution-job-edulv">'.$job_edulv.'</span>';
                                                                        } else {
                                                                            if (!empty($job_city) && !empty($job_field)) { echo ' | '; }
                                                                        }
                                                                        if (!empty($job_edulv) && !empty($job_field)) { echo ' | '; }
                                                                        if (!empty($job_field)) {
                                                                            echo '<span class="mysolution-job-field">'.$job_field.'</span>';
                                                                        }
                                                                    ?>
                                                                </div>
                                                                <?php the_content(); ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </article>

											</div>
										</div>
									</div>	
									
								</div>
						<?php endif; ?>
					</div>
                <?php if(isset($bridge_qode_options['overlapping_content']) && $bridge_qode_options['overlapping_content'] == 'yes') {?>
                    </div></div>
                <?php } ?>
                 </div>
<?php endwhile; ?>
<?php endif; ?>	


<?php get_footer(); ?>	