<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_job_link {

    public function __construct() {
        add_shortcode('job_link', array($this, 'sc_job_link'));
    }

    function sc_job_link($atts, $content) {

        $atts = shortcode_atts(
            array(
                'job_id'    => get_the_ID(),
                'class'     => '',
            ),
            $atts
        );

        $job_api_id = get_post_meta($atts['job_id'], 'job_api_id', true);

        $output = "";
        $output.= '<a target="_blank" class="'.$atts['class'].'" href="'.get_option('ysd-msltn-portal-base-url') . '/' . $job_api_id . '/apply?_s=1">' . $content . '</a>';

        return $output;

    }

}

$ysd_mysolution_shortcode_job_link = new ysd_mysolution_shortcode_job_link;