<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_job_link_apply {

    public function __construct() {
        add_shortcode('job_link_apply', array($this, 'sc_job_link_apply'));
    }

    function sc_job_link_apply($atts, $content) {

        $atts = shortcode_atts(
            array(
                'class'     => '',
                'params'    => '',
            ),
            $atts
        );

        $output = "";
        $params = !empty( $atts['params'] ) ? $atts['params'] : '';

        if (is_singular('job')) {

            $output.= '<a class="'.$atts['class'].'" href="?apply=1'. $params .'">' . $content . '</a>';

        } else {

            $output.= __('Place this shortcode on a single job page.');

        }

        return $output;

    }

}

$ysd_mysolution_shortcode_job_link_apply = new ysd_mysolution_shortcode_job_link_apply;